Bug 74119 - Update port: java/poseidon
Update port: java/poseidon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: hq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 15:10 UTC by tux
Modified: 2004-11-22 02:21 UTC (History)
0 users

See Also:


Attachments
file.diff (199.65 KB, patch)
2004-11-19 15:10 UTC, tux
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tux 2004-11-19 15:10:28 UTC
Update to version 2.6.0

The port now uses PORTDOCS to register the documentation files.
Also the place for docs and examples changed to DOCSDIR and EXAMPLESDIR.
The directories are linked to Poseidon's installation directory.
Comment 1 hq freebsd_committer 2004-11-19 15:27:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 hq freebsd_committer 2004-11-20 16:03:07 UTC
State Changed
From-To: open->feedback

Gerrit, 

I think there's a problem with the "CE" edition. Indeed, poseidonCE-2.6.0.zip 
seems to be unavailable from the master site. 

I noticed files/poseidon{CE,SE}.sh.patch were removed, so this probably means 
that the following is no longer needed: 

post-patch: 
.if(defined(POSEIDON_PATCH)) 
@cd ${WRKSRC} && ${PATCH} < ${PATCHDIR}/${POSEIDON_PATCH} 
.endif 

On the plist front, I think we could reduce the complexity by either having a 
single pkg-plist (with for isntance %%CE%% transformed to @comment using 
PLIST_SUB), or no pkg-plist at all (using something to build a dynamic plist). 

If you can address the two first issues above, I will provide a patch for the 
plist one if you wish. 

Last point, is there any reason to have docs in both DOCSDIR and DATADIR/docs? 
I think the best is to install docs directly in DOCSDIR unless the application 
uses those files and expect to find them in a specific path. In this particular 
case, I think we should install in DOCSDIR and symlink DATADIR/docs -> DOCSDIR, 
which is the opposite of what is being done in your current patch. 

Herve
Comment 3 hq freebsd_committer 2004-11-22 02:20:57 UTC
State Changed
From-To: feedback->closed

Commited. Thanks!